$packageName = "alacritty.install"
$oldInstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$preexisting = Test-Path -Path $oldInstallDir -PathType Container
if ($preexisting) {
	Write-Host -ForegroundColor yellow "WARNING: Alacritty Portable detected."
	Write-Host -ForegroundColor yellow "If you installed a previous version of this package the semantics have changed."
	Write-Host -ForegroundColor yellow "This is now a install package, and will install the MSI version of this software instead."
	Write-Host -ForegroundColor yellow "If you are OK with this, or installed portable through your own means, ignore this message."
	Write-Host -ForegroundColor yellow "Otherwise you should delete the files at $oldInstallDir to prevent conflicts in the future."
}

$ErrorActionPreference = 'Stop'
$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
 
$packageArgs = @{
    PackageName    = $packageName
    FileType       = "msi"
    SoftwareName   = "Alacritty"
    Url64bit       = "https://github.com/alacritty/alacritty/releases/download/v0.4.3/Alacritty-v0.4.3-windows-installer.msi"
	Checksum64     = "fe5edca3dd0be1801e45ab439eb1d69a383ee27caa4b337c3be97cb4ed2ca6cbbd5b7442d2b8f5743998e08c1a76ff0954bb96d8f74026dfd8653b84b7b85036"
	ChecksumType64 = "sha512"
    SilentArgs     = "/qn /norestart"
    ValidExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs